<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>MARGOST INDUSTRIES</title>
        <link rel="icon" type="image/x-icon" href="assets/img/favicon.ico" />
        <!-- Font Awesome icons (free version)-->
        <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
        <!-- Google fonts-->
        <link href="https://fonts.googleapis.com/css?family=Saira+Extra+Condensed:500,700" rel="stylesheet" type="text/css" />
        <link href="https://fonts.googleapis.com/css?family=Muli:400,400i,800,800i" rel="stylesheet" type="text/css" />
        <!-- Core theme CSS (includes Bootstrap)-->
        <link href="css/styles.css" rel="stylesheet" />
    </head>
    <body id="page-top" background="IMG/white-concrete-wall.jpg">

        <link href="/StylesPresen/styles.css" rel="stylesheet" />
        <link rel="stylesheet" href="/StylesCompilador/styles.css">
        <script src="CODICOM.js"></script>

        <!-- Navigation-->
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top" id="sideNav">
            <a class="navbar-brand js-scroll-trigger" href="#page-top">
                <span class="d-block d-lg-none">MARGOST INDUSTRIES</span>
                <span class="d-none d-lg-block"><img class="img-fluid img-profile rounded-circle mx-auto mb-2" src="/IMG/MO.gif" alt="..." /></span>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav">
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#about">Inicio</a></li>
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#experience">Compilador</a></li>
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#education">Sintaxis</a></li>
                    
                </ul>
            </div>
        </nav>
        <!-- Page Content-->
        <div class="container-fluid p-0">
            <!--INICIO-->
            <section class="resume-section" id="about">
                <div class="resume-section-content">

                    <h1 class="mb-0">
                      BIENVENIDO A
                        <span class="text-primary">ZERO</span>
                    </h1>
                    <br>
                    <div class="subheading mb-5">

                        <h3>Integrantes del equipo: </h3>
                        <ul>
                            <li>Bello Pérez Ibrainm Hazel</li>
                            <li>Corona Hernández Mauricio Jibran</li>
                            <li>Flores Domínguez Eliel Jair</li>
                            <li>Ruiz Gallardo Miguel Ángel</li>
                            <li>Sierra Torres Oscar</li>
                        </ul>
                    
                    </div>
                    <p class="lead mb-5">A continuacion mostraremos nuestro compilador llamado "ZERO", nuestro lenguaje puede imprimir y 
                        calcular operaciones aritmeticas basicas como la suma, resta, multiplicacion y division.</p>
                
                </div>
            </section>
            <hr class="m-0" />

            <!--SECCION DEL COMPILADOR-->
            <section class="resume-section" id="experience">
                <div class="resume-section-content">
                    <h2><center>Compilador</center></h2>

                    <center>
                        
                        <!--LA CLASE COMPI CONTIENE EL AREA PARA INSERTAR Y EVALUAR EL CODIGO QUE INTRODUSCA EL USUARIO-->
                        <div class="COMPI">
                            <div class="LENZERO">
                                <!--ECODIGO CONTINE LA PARTE PARA PODER INSERTAR EL CODIGO-->
                                <textarea id="ECODIGO" onkeyup="EXAMINACION()" placeholder="Escribe tu codigo aqui."></textarea>
                                <!--onclick="REFRESCAR()"-->
                            </div>
                    
                            <div class="RESULTADOS"><p id="SCODIGO"></p></div>
                        </div>


                    </center>


                </div> 
            </section>


            <!--SECCION DE LA TABLA DE SINTAXIS-->
            <hr class="m-0" />
            <!-- Education-->
            <section class="resume-section" id="education">
                <div class="resume-section-content">
                    <h2><center>Tabla de Sintaxis</center></h2>


                    <center>

                        <p>
                            <table>
                                <tr>
                                    <th><p>Sintaxis</p></th>
                                    <th><p>Como funciona</p></th>
                                </tr>
                        
                                <tr>
                                    <td>imprimir = 'texto';</td>
                                    <td>Nos permite imprimir un texto no importa lo largo que sea.</td>
                                </tr>

                                <tr>
                                    <td>imprimir = 2+2;</td>
                                    <td>Esta sintaxis nos permite realizar una suma con dos o mas digitos.</td>
                                </tr>

                                <tr>
                                    <td>imprimir = 8-4;</td>
                                    <td>Esta sintaxis nos permite realizar una resta con dos o mas digitos.</td>
                                </tr>

                                <tr>
                                    <td>imprimir = 5*2;</td>
                                    <td>Esta sintaxis nos permite realizar una multiplicacion con dos o mas digitos.</td>
                                </tr>

                                <tr>
                                    <td>imprimir = 18/6;</td>
                                    <td>Esta sintaxis nos permite realizar una division con dos o mas digitos.</td>
                                </tr>

                            </table>
                        </p>

                    </center>


                </div> 
            </section>
            

            
        </div>
        <!-- Bootstrap core JS-->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
        <!-- Core theme JS-->
        <script src="js/scripts.js"></script>
    </body>
</html>
